<?php
namespace Podeli\Payment\Methods;


class Info extends BaseMethod
{
    private ?string $orderId = null;

    const HTTP_METHOD = 'GET';

    const PATH = 'info';

    public function setOrderId(string $orderId)
    {
        $this->orderId = $orderId;
        return $this;
    }

    public function getPath()
    {
        if (!$this->orderId) {
            throw new \Exception('Empty order id');
        }
        return sprintf('%s/%s', $this->orderId, static::PATH);
    }

    public function getData()
    {
        $data = [

        ];

        return $data;
    }
}
